 # GNU C 2.7.2.1
 # -O2 -fdefer-pop -fomit-frame-pointer -fcse-follow-jumps -fcse-skip-blocks
 # -fexpensive-optimizations -fthread-jumps -fstrength-reduce -fpeephole
 # -fforce-mem -ffunction-cse -finline -fcaller-saves -fpcc-struct-return
 # -frerun-cse-after-loop -fschedule-insns -fschedule-insns2 -fcommon
 # -fgnu-linker -mpowerpc -mnew-mnemonics

	.file	"Msg4PPC.c"
gcc2_compiled.:
.section	.rodata
	.align 2
.LC0:
	.string	"Text sent by PPC processor\n"
	.section	".text"
	.align 2
	.globl main
	.type	 main,@function
	.long 0x406c
main:
	stwu 1,-112(1)
	mflr 0
	stw 26,88(1)
	stw 27,92(1)
	stw 28,96(1)
	stw 29,100(1)
	stw 30,104(1)
	stw 31,108(1)
	stw 0,116(1)
	lis 3,0x8002
	ori 3,3,22
	bl PPCGetTaskAttr
	lwz 26,0(3)
	cmpwi 1,26,0
	lwz 27,4(3)
	bc 12,6,.L20
	li 3,28
	li 4,1
	bl PPCAllocVec
	mr. 29,3
	bc 12,2,.L20
	li 0,0
	stw 0,8(1)
	addi 3,1,8
	bl PPCCreatePort
	mr. 30,3
	bc 12,2,.L18
	mr 3,30
	li 4,28
	bl PPCCreateMessage
	mr. 28,3
	bc 12,2,.L15
	li 31,0
	addis 9,0,.LC0@ha
	addi 11,9,.LC0@l
	cmplw 1,31,27
	lwz 0,.LC0@l(9)
	lwz 9,4(11)
	lwz 10,8(11)
	lwz 8,12(11)
	stw 0,0(29)
	stw 9,4(29)
	stw 10,8(29)
	stw 8,12(29)
	lwz 0,16(11)
	lwz 9,20(11)
	lwz 11,24(11)
	stw 0,16(29)
	stw 9,20(29)
	stw 11,24(29)
	bc 4,4,.L11
.L9:
	mr 3,26
	mr 4,28
	lis 7,0x1234
	ori 7,7,22136
	mr 5,29
	li 6,28
	bl PPCSendMessage
	mr 3,30
	bl PPCWaitPort
	mr 3,30
	bl PPCGetMessage
	addi 31,31,1
	cmplw 1,31,27
	bc 12,4,.L9
.L11:
	mr 3,30
	bl PPCDeletePort
	extsh 3,3
	cmpwi 1,3,0
	bc 12,6,.L11
.L15:
	mr 3,30
	bl PPCDeletePort
	extsh 3,3
	cmpwi 1,3,0
	bc 12,6,.L15
.L18:
	mr 3,29
	bl PPCFreeVec
.L20:
	lwz 0,116(1)
	mtlr 0
	lwz 26,88(1)
	lwz 27,92(1)
	lwz 28,96(1)
	lwz 29,100(1)
	lwz 30,104(1)
	lwz 31,108(1)
	addi 1,1,112
	blr
.Lfe1:
	.size	 main,.Lfe1-main
	.align 2
	.globl printf
	.type	 printf,@function
	.long 0x404c
printf:
	stwu 1,-32(1)
	mflr 0
	stw 28,16(1)
	stw 29,20(1)
	stw 30,24(1)
	stw 31,28(1)
	stw 0,36(1)
	mr 28,3
	addis 9,0,MyFile@ha
	lwz 29,MyFile@l(9)
	bl strlen
	mr 5,3
	mr 4,28
	mr 3,29
	bl PPCWrite
	lwz 0,36(1)
	mtlr 0
	lwz 28,16(1)
	lwz 29,20(1)
	lwz 30,24(1)
	lwz 31,28(1)
	addi 1,1,32
	blr
.Lfe2:
	.size	 printf,.Lfe2-printf
	.comm	MyFile,4,4
	.ident	"GCC: (GNU) 2.7.2.1"
